Update subscription fixed term
curl --request POST \
--url https://{api}.subotiz.com/api/v1/subscription/{subscription_id}/update/fixed_term \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Request-Id: <request-id>' \
--data '
{
"subscription_id": "<string>",
"merchant_id": "<string>",
"fixed_term": 123,
"is_renewable": true
}
'const options = {
method: 'POST',
headers: {
'Request-Id': '<request-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
subscription_id: '<string>',
merchant_id: '<string>',
fixed_term: 123,
is_renewable: true
})
};
fetch('https://{api}.subotiz.com/api/v1/subscription/{subscription_id}/update/fixed_term', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{api}.subotiz.com/api/v1/subscription/{subscription_id}/update/fixed_term"
payload = {
"subscription_id": "<string>",
"merchant_id": "<string>",
"fixed_term": 123,
"is_renewable": True
}
headers = {
"Request-Id": "<request-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"code": "<string>",
"message": "<string>",
"data": {}
}{
"code": "InvalidParameter",
"message": "merchant_id is required."
}Subscription
Update subscription fixed term
Update subscription fixed term
POST
/
api
/
v1
/
subscription
/
{subscription_id}
/
update
/
fixed_term
Update subscription fixed term
Authorizations
Bearer API Key authentication. Format: Authorization: Bearer {your_api_key}
Headers
The unique identifier of the request
Path Parameters
Subscription identifier
Body
application/json
Was this page helpful?
⌘I